Upstream information

CVE-2019-12735 at MITRE

Description

getchar.c in Vim before 8.1.1365 and Neovim before 0.3.6 allows remote attackers to execute arbitrary OS commands via the :source! command in a modeline, as demonstrated by execute in Vim, and assert_fails or nvim_input in Neovim.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.6 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entry: 1137443 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • vim >= 7.4.326-17.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-1456
SUSE CaaS Platform 3.0
  • vim >= 7.4.326-17.3.1
Patchnames:
SUSE-CAASP-3.0-2019-1456
SUSE CaaS Platform ALL
  • vim >= 7.4.326-17.3.1
Patchnames:
SUSE-CAASP-ALL-2019-1456
SUSE Enterprise Storage 4
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-Storage-4-2019-1456
SUSE Linux Enterprise Desktop 12 SP3
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1456
SUSE Linux Enterprise Desktop 12 SP4
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1456
SUSE Linux Enterprise Module for Basesystem 15
  • vim >= 8.0.1568-5.3.1
  • vim-data >= 8.0.1568-5.3.1
  • vim-data-common >= 8.0.1568-5.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1457
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • vim >= 8.0.1568-5.3.1
  • vim-data >= 8.0.1568-5.3.1
  • vim-data-common >= 8.0.1568-5.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-1457
SUSE Linux Enterprise Module for Desktop Applications 15
  • gvim >= 8.0.1568-5.3.1
  • vim >= 8.0.1568-5.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-1457
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • gvim >= 8.0.1568-5.3.1
  • vim >= 8.0.1568-5.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-1457
SUSE Linux Enterprise Point of Sale 11 SP3
  • gvim >= 7.2-8.21.3.1
  • vim >= 7.2-8.21.3.1
  • vim-base >= 7.2-8.21.3.1
  • vim-data >= 7.2-8.21.3.1
Patchnames:
sleposp3-vim-14078
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1456
SUSE Linux Enterprise Server 11 SP4-LTSS
  • gvim >= 7.2-8.21.3.1
  • vim >= 7.2-8.21.3.1
  • vim-base >= 7.2-8.21.3.1
  • vim-data >= 7.2-8.21.3.1
Patchnames:
slessp4-vim-14078
SUSE Linux Enterprise Server 12 SP1-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1456
SUSE Linux Enterprise Server 12 SP2-BCL
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1456
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1456
SUSE Linux Enterprise Server 12 SP2-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1456
SUSE Linux Enterprise Server 12 SP3
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1456
SUSE Linux Enterprise Server 12 SP4
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1456
SUSE Linux Enterprise Server 12-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1456
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • gvim >= 7.2-8.21.3.1
  • vim >= 7.2-8.21.3.1
  • vim-base >= 7.2-8.21.3.1
  • vim-data >= 7.2-8.21.3.1
Patchnames:
slessp4-vim-14078
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1456
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1456
SUSE OpenStack Cloud 7
  • gvim >= 7.4.326-17.3.1
  • vim >= 7.4.326-17.3.1
  • vim-data >= 7.4.326-17.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1456
openSUSE Leap 15.0
  • gvim >= 8.0.1568-lp150.4.3.1
  • gvim-debuginfo >= 8.0.1568-lp150.4.3.1
  • neovim >= 0.3.7-lp150.13.1
  • neovim-debuginfo >= 0.3.7-lp150.13.1
  • neovim-debugsource >= 0.3.7-lp150.13.1
  • neovim-lang >= 0.3.7-lp150.13.1
  • vim >= 8.0.1568-lp150.4.3.1
  • vim-data >= 8.0.1568-lp150.4.3.1
  • vim-data-common >= 8.0.1568-lp150.4.3.1
  • vim-debuginfo >= 8.0.1568-lp150.4.3.1
  • vim-debugsource >= 8.0.1568-lp150.4.3.1
Patchnames:
openSUSE-2019-1551
openSUSE-2019-1561
openSUSE-2019-1759
openSUSE Leap 15.1
  • gvim >= 8.0.1568-lp151.5.3.1
  • gvim-debuginfo >= 8.0.1568-lp151.5.3.1
  • neovim >= 0.3.7-lp151.2.7.1
  • neovim-debuginfo >= 0.3.7-lp151.2.7.1
  • neovim-debugsource >= 0.3.7-lp151.2.7.1
  • neovim-lang >= 0.3.7-lp151.2.7.1
  • vim >= 8.0.1568-lp151.5.3.1
  • vim-data >= 8.0.1568-lp151.5.3.1
  • vim-data-common >= 8.0.1568-lp151.5.3.1
  • vim-debuginfo >= 8.0.1568-lp151.5.3.1
  • vim-debugsource >= 8.0.1568-lp151.5.3.1
Patchnames:
openSUSE-2019-1551
openSUSE-2019-1561
openSUSE-2019-1759
openSUSE Leap 42.3
  • gvim >= 7.4.326-13.4.1
  • gvim-debuginfo >= 7.4.326-13.4.1
  • neovim >= 0.2.0-6.1
  • neovim-debuginfo >= 0.2.0-6.1
  • neovim-debugsource >= 0.2.0-6.1
  • neovim-lang >= 0.2.0-6.1
  • vim >= 7.4.326-13.4.1
  • vim-data >= 7.4.326-13.4.1
  • vim-debuginfo >= 7.4.326-13.4.1
  • vim-debugsource >= 7.4.326-13.4.1
Patchnames:
openSUSE-2019-1551
openSUSE-2019-1562


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 vim Released
CaaS Platform 3.0 vim Released
OpenStack Cloud Magnum Orchestration 7.0 vim Released
SUSE Linux Enterprise Desktop 12 SP3 vim Released
SUSE Linux Enterprise Desktop 12 SP4 vim Released
SUSE Linux Enterprise High Performance Computing 12 vim Released
SUSE Linux Enterprise Module for Basesystem 15 GA vim Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 vim Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA vim Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 vim Released
SUSE Linux Enterprise Server 11 SP3 LTSS vim Affected
SUSE Linux Enterprise Server 11 SP4 LTSS vim Released
SUSE Linux Enterprise Server 12 GA LTSS vim Released
SUSE Linux Enterprise Server 12 SP1 LTSS vim Released
SUSE Linux Enterprise Server 12 SP2 LTSS vim Released
SUSE Linux Enterprise Server 12 SP3 vim Released
SUSE Linux Enterprise Server 12 SP4 vim Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 vim Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA vim Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 vim Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 vim Released